org.hibernate.search.query.engine.impl

## Class SortConfigurations.SortConfiguration

- java.lang.Object
- - org.hibernate.search.query.engine.impl.SortConfigurations.SortConfiguration

- Enclosing class:
    SortConfigurations

      public static class SortConfigurations.SortConfiguration
      extends Object

  Provides information about the sortable fields configured for one or more entities mapped to the same index.
  Author:
    Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortConfiguration(String indexName, Map<IndexedTypeIdentifier,List<SortableFieldMetadata>> sortableFieldsByType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexedTypeSet` | `getEntityTypes()`
    `String` | `getIndexName()`
    `List<String>` | `getUncoveredSorts(IndexedTypeIdentifier entityType, Sort sort)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SortConfiguration

          public SortConfiguration(String indexName,
                                   Map<IndexedTypeIdentifier,List<SortableFieldMetadata>> sortableFieldsByType)

  - ### Method Detail

    - #### getUncoveredSorts

          public List<String> getUncoveredSorts(IndexedTypeIdentifier entityType,
                                                Sort sort)

      Parameters:
        `entityType` - the targeted entity type
        `sort` - the sort to be examined
      Returns:
        all those sort fields from the given `Sort` that cannot be satisfied by the existing sortable fields (doc value fields) declared for the given indexed type.

    - #### getEntityTypes

          public IndexedTypeSet getEntityTypes()

    - #### getIndexName

          public String getIndexName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved